VectorLinux

The nuts and bolts => Office & Printing => Topic started by: gamfa on August 29, 2010, 07:24:17 am

Title: Need printer help
Post by: gamfa on August 29, 2010, 07:24:17 am
I am trying to install printer drivers for a Canon MX330. I have down loaded the linux drivers from Canon Europe. They are in rpm format. When I try to install them I get dependency errors. It appears the files needed are indeed present in VL Light 6 and I'm puzzled why they won't install. Below is the messages I get with one of the packages....


Quote
root:# ./install.sh
Execution command = rpm -Uvh ./packages/cnijfilter-common-3.10-1.i386.rpm
error: Failed dependencies:
        /bin/sh is needed by cnijfilter-common-3.10-1
        cups is needed by cnijfilter-common-3.10-1
        libc.so.6 is needed by cnijfilter-common-3.10-1
        libc.so.6(GLIBC_2.0) is needed by cnijfilter-common-3.10-1
        libc.so.6(GLIBC_2.1) is needed by cnijfilter-common-3.10-1
        libc.so.6(GLIBC_2.3) is needed by cnijfilter-common-3.10-1
        libcups.so.2 is needed by cnijfilter-common-3.10-1
        libpopt.so.0 is needed by cnijfilter-common-3.10-1
        popt is needed by cnijfilter-common-3.10-1

Can anyone give me some help on this??
Title: Re: Need printer help
Post by: sledgehammer on August 29, 2010, 08:16:09 am
I assume VL light uses cups.  In VL6 its in the Vector Control Center under Services.  If you haven't tried it, give Cups a go.  It might be what you need.

Title: Re: Need printer help
Post by: gamfa on August 29, 2010, 08:39:40 am
Cups is started on boot but neither cups or gutenprint have drivers for this printer.
Title: Re: Need printer help
Post by: retired1af on August 29, 2010, 08:50:10 am
If the dependencies are indeed installed, when was the last time the internal databases were updated? Could be the pointers need refreshing.
Title: Re: Need printer help
Post by: bigpaws on August 29, 2010, 09:36:14 am
Maybe the deps it is looking for is in another location.

Try looking at the install script to find where it is
trying to find the deps.

Bigpaws
Title: Re: Need printer help
Post by: gamfa on August 29, 2010, 10:26:14 am
I've already run updatedb with on luck . That was the first thing I thought of. I'll look through the scripts and see if I can make heads oy tails from them.
Title: Re: Need printer help
Post by: stretchedthin on August 29, 2010, 11:12:59 am
I don't know if this will help, but I googled a driver in .deb format you could try instead.
http://software.canon-europe.com/software/0033558.asp (http://software.canon-europe.com/software/0033558.asp)
and for the scanner...
http://software.canon-europe.com/software/0033574.asp (http://software.canon-europe.com/software/0033574.asp)

Title: Re: Need printer help
Post by: gamfa on August 29, 2010, 01:30:18 pm
I was able to get the rpm packages installed using "rpm -i --nodeps". The printer is now running fine with cups. I also want to get Canon's utilities running but I'm getting a "spooler error" when i try to fire them up. I managed to solve that problem on the i560 I had but at this point I can't remember how I did it. Once I work out the Canon utilities, I'll tackle the scanner part of the beast.
Title: Re: Need printer help
Post by: M0E-lnx on August 30, 2010, 09:50:58 am
These are a pain in the neck to get working correctly. I'd say if you can print, you can call it a day and be happy.. I was unable to set a similar printer on VL. I also own a PIXMA IP2600 that does not work in VL.